CloudBees, Inc.

CloudBees DevOptics Plugin 1.1665

New Features

Minor DEVOPTICS-922

When the plugin is unable to connect to the DevOptics service, the user is able to get a detailed stack trace of the reason why the connection could not be made, and is able to manually force a retry of the connection.

Resolved issues

Major DEVOPTICS-952

Plugin has become incompatible with Jenkins 2.89.4, due to a dependency's minimum version no longer being available via the update center. The new minimum compatible Jenkins version is 2.107.3.

Minor DEVOPTICS-1026

Value stream data would not initialise successfully, if the pubsub-light dependency was not available.

Known issues

None